Bug 780545 - (SOA-2978) FTP password is stored in plaintext (not encrypted) in adapter file jboss-esb.xml, it should be possible to encrypt
FTP password is stored in plaintext (not encrypted) in adapter file jboss-esb...
Status: ASSIGNED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0 GA
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John Graham
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 11:47 EDT by Roland Brackmann
Modified: 2011-12-02 09:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
all
Last Closed: 2011-06-15 12:09:20 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2978 Minor Closed FTP password is stored in plaintext (not encrypted) in adapter file jboss-esb.xml, it should be possible to encrypt 2013-07-10 15:44:27 EDT

  None (edit)
Description Roland Brackmann 2011-03-15 11:47:28 EDT
Complexity: Low
Help Desk Ticket Reference: https://c.na7.visual.force.com/apex/Case_View?id=500A0000008UO8NIAW&sfdc.override=1
project_key: SOA

It is not possible to use an encrypted FTP password within the FTP adapter (The password is in plaintext).
It should be possible to encryt the password!
See the plaintext password within this extract from an esb file : esbcontent/META-INF/jboss-esb.xml

<ftp-provider name="FTPprovider" hostname="192.168.122.22" >
<ftp-bus busid="helloFTPChannel" >
<ftp-message-filter
  username="ftp_esb"
  password="ftp_esb"
  passive="false"
  directory="ftp_dir"
  input-suffix=".dat"
  work-suffix=".esbWorking"
  post-delete="false"
  post-rename="true"
  post-suffix=".COMPLETE"
  protocol="ftp"
  error-delete="false"
  error-suffix=".HAS_ERROR"
/>
</ftp-bus>
</ftp-provider>
Comment 2 John Graham 2011-06-15 12:09:20 EDT
Please file a support case for this enhancement request.
Comment 3 Rick Wagner 2011-12-02 09:20:54 EST
Per denial note, we now have a support case to justify this request.  I'll re-open it.  

https://c.na7.visual.force.com/apex/Case_View?id=500A0000008UO8NIAW&sfdc.override=1

SF case 00561240

Thanks,  

Rick
Comment 4 Rick Wagner 2011-12-02 09:21:16 EST
Help Desk Ticket Reference: Added: https://c.na7.visual.force.com/apex/Case_View?id=500A0000008UO8NIAW&sfdc.override=1

Note You need to log in before you can comment on or make changes to this bug.